"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const aurelia_framework_1 = require("aurelia-framework");
const VARIANTS_CLASS_MAP = {
    "phone": "phone",
    "tablet": "tablet",
    "desktop": "desktop"
};
let PiShowOnCustomAttribute = class PiShowOnCustomAttribute {
    constructor(_element) {
        this._element = _element;
        this._element.classList.add("pi-show-on");
    }
    valueChanged(newValue, oldValue) {
        const wordArray = newValue.trim().split(/\s+/);
        for (const word of wordArray) {
            const variantClassString = word && VARIANTS_CLASS_MAP[word] ? VARIANTS_CLASS_MAP[word] : VARIANTS_CLASS_MAP.phone;
            this._element.classList.add(`pi-show-on--${variantClassString}`);
        }
    }
};
PiShowOnCustomAttribute = __decorate([
    aurelia_framework_1.autoinject,
    __metadata("design:paramtypes", [Element])
], PiShowOnCustomAttribute);
exports.PiShowOnCustomAttribute = PiShowOnCustomAttribute;

//# sourceMappingURL=pi-show-on.js.map
